<template lang="html">
  <div class="app">
    <div class="ui-signin-input-info">
      <form class="" action="#" method="post">
        <div class="tabs-personal-data__left">
          <!-- <ui-input></ui-input> -->
          <div class="ui-signin-password input-class">
              <p>Ваше имя</p>
              <input type="password" name="pass" required>
          </div>
          <div class="ui-signin-password input-class">
              <p>Пароль</p>
              <input type="password" name="pass" required>
          </div>
        </div>
        <div class="tabs-personal-data__right">
          <div class="ui-signin-email input-class">
              <p>E-mail</p>
              <input type="email" name="pass" placeholder="example@email.com" required>
          </div>
          <div class="ui-signin-phone input-class">
              <p>Телефон</p>
              <masked-input v-model="phone" mask="\+\38 (0##) ##-##-###"
              required />
          </div>
        </div>
      </form>
    </div>
    <div class="data-info-block" v-for="(dataInfo, key) in dataAccount"
    :key="key"
    >
        <p><span class="text-bold">Номер счёта:</span> {{ dataInfo.numberOfScore }}</p>
        <p><span class="text-bold ml-6px">Дата регистрации:</span> {{ dataInfo.dataOfRegistration }} </p>
    </div>
    <div class="ui-other-buttons"
    >
      <ui-button
      v-for="(title, key) in signin"
      :key="key"
      :title="title"
      ></ui-button>
        <ui-divider></ui-divider>
      <ui-button
      v-for="(title, key) in signup"
      :key="key"
      :title="title"

      ></ui-button>
    </div>
  </div>
</template>

<script>
import MaskedInput from 'vue-masked-input'

export default {
  components: {
    MaskedInput
  },
  data () {
    return {
      inputs: [
        {
          title: 'Ваше имя'
        }
      ],
      dataAccount: [
        {
          numberOfScore: "1234567",
          dataOfRegistration: "26.04.2019"
        },
      ],
      signin: [
        {
          title: 'Вход',
          nameModal: 'signin-modal'
        }
      ],
      signup: [
        {
          title: 'Выйти из профиля',
          nameModal: 'logout'
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
  .divider {
    ui-divider {
      width: 50px;
    }
  }
  .ml-6px {
    margin-left: 6px;
  }
  .text-bold {
    font-weight: bold;
  }
.data-info-block {
  display: flex;


  margin: 39px 0 15px 0;
  p {
    width: 50%;
    color: black;

    margin: 13px 0 14px 1px;
    font-size: 23px;

  }
}
.ui-signin-modal__container {
    display: flex;

    background-position: center;
    background-size: cover;

    height: 100%;

    .ui-signin-close-button {
      width: 50px;
      height: 50px;
      background-image: url(../../assets/img/home/close_button.svg);
      background-position: center;
      background-size: contain;
      background-repeat: no-repeat;
      button {
        width: 100%;
        height: 100%;
        background: transparent;
        border: none;
      }
    }

    .ui-signin-form {
      width: 100%;
      .form-title {
        text-align: center;
        font-size: 25px;
        text-transform: uppercase;
        font-family: sans-serif;
      }
      .ui-other-buttons {
        display: flex;
        flex-direction: column;
        align-items: center;

        margin: -30px 0 20px 0;
        .block-or {
          width: 100%;
          text-align: center;

          display: flex;
          justify-content: center;
          align-items: center;
          .divider {
            max-width: 185px;
          }
          p:before {
            content: '';
            width: 100%;
            position: absolute;
            border-top: 2px;
            width: 20px;
          }
          p {
            width: 100%;
          }
        }
      }
    }
    .ui-signin-input-info {
      form {
        display: flex;
        flex-direction: row;

        margin-top: -9px;
        .tabs-personal-data__left {
          width: 50%;
          margin-top: 10px;
          input {
            border-radius: 2px;
          }
          .ui-signin-login {
            width: 100%;
            p {
              font-size: 16px;
              margin: 22px 0 2px 0;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
          .ui-signin-password {
            margin-top: -8px;
            p {
              margin: 22px 0 2px 0;
              font-size: 16px;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
        }
        .tabs-personal-data__right {
          width: 50%;

          margin-top: 2px;
          margin-left: 20px;
          input {
            border-radius: 2px;
          }

          .ui-signin-email {
            width: 100%;
            p {
              font-size: 16px;
              margin: 22px 0 2px 0;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
          .ui-signin-phone {
            width: 100%;
            p {
              font-size: 16px;
              margin: 13px 0 2px 0;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
        }
      }
      .input-class {
        margin-top: 10px;
        p {
          margin: 0 0 5px 0;
        }
        input {
          padding: 6px 21px;
          width: 85%;
          border-radius: 5px;
          border: 1px solid black;
        }
      }
      }
      .ui-signin-login {
        width: 100%;
        p {

          margin: 0 0 5px 0;
        }
        input {
          padding: 10px 25px;
          width: 85%;
          border-radius: 5px;
          border: 1px solid black;
        }
      }
}
</style>
